package com.ai.ipu.cache.redis.listener;

import redis.clients.jedis.JedisPubSub;

public abstract class AbstractPubSubListener extends JedisPubSub {
	// 取得订阅的消息后的处理  
    public abstract void onMessage(String channel, String message);

    // 初始化订阅时候的处理  
    public abstract void onSubscribe(String channel, int subscribedChannels);

    // 取消订阅时候的处理  
    public abstract void onUnsubscribe(String channel, int subscribedChannels);

}
